<?php
class ModelPaymentCieloTransparente extends Model {
    
    public function getTIDCielo($orderID){
		
        $row =   $this->db->query("SELECT `tid` FROM `" . DB_PREFIX . "order_cielo` WHERE `pedido_numero` = " . (int) $orderID . " limit 1")->row;
        if(isset($row['tid'])) {
            return $row['tid'];
        } else {
            return "";
        }			
		
    }
    
    public function checkCieloCancelado($orderID){
		
        $row =   $this->db->query("SELECT `status_pagamento` FROM `" . DB_PREFIX . "order_cielo` WHERE `pedido_numero` = " . (int) $orderID . " and status_pagamento = 7  limit 1")->row;
        if(isset($row['status_pagamento'])) {
            return 1;
        } else {
            return 0;
        }			
		
    }    
    
    public function setOrderCielo($cielo_tid,$cielo_lr,$cielolrmsg,$cielostatuspgto, $pedido_numero,$valorcielo,$tipo,$bandeira,$parcelas,$moeda="BRL",$idioma="BR"){

        $pedidodata = date('d/m/Y H:i:s');
        $this->db->query("INSERT INTO " . DB_PREFIX . "order_cielo (tid,lr,status_lr, status_pagamento, pedido_numero,pedido_valor,pedido_moeda,pedido_data,pedido_idioma,pagamento_tipo,pagamento_bandeira,pagamento_produto,pagamento_parcelas) VALUES ('" . $cielo_tid . "','" . $cielo_lr . "','" . $cielolrmsg . "','" .$cielostatuspgto. "','" .$pedido_numero . "','" . $valorcielo . "','" .$moeda. "','" . $pedidodata . "','" . $idioma. "','" . $tipo . "','". $bandeira . "','1','" . $parcelas . "')");
        
    }    
    
    
}
